VSTGUI: ControlViewAdapter Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
ControlViewAdapter Struct Reference
Inheritance diagram for ControlViewAdapter:

## Public Member Functions
bool | setValue (double value) override
bool | setEditCallbacks (const EditCallbacks &callbacks) override
Public Member Functions inherited from ViewAdapter
bool | platformViewTypeSupported (PlatformViewType type) override
| check if the view supports the platform view type
bool | attach (void *parent, PlatformViewType parentViewType) override
| attach the view to the parent
bool | remove () override
| remove the view from its parent
void | setViewSize (IntRect frame, IntRect visible) override
| set the size and position of the view
void | setContentScaleFactor (double scaleFactor) override
| set the scale factor in use
void | setMouseEnabled (bool state) override
| enable or disable mouse handling for the view
void | takeFocus () override
| the view should take focus
void | looseFocus () override
| the view should loose focus
void | setTookFocusCallback (const TookFocusCallback &callback) override
| a callback the embedder sets on the view to get notified when the view took focus
Public Member Functions inherited from IView
virtual | ~IView () noexcept=default

## Additional Inherited Members
Public Types inherited from IView
using | TookFocusCallback = std::function< void()>
Public Types inherited from IControlViewExtension
using | ValueBeginEditCallback = std::function< void()>
using | ValueEndEditCallback = std::function< void()>
using | ValuePerformEditCallback = std::function< void(double newValue)>

## Member Function Documentation

bool setEditCallbacks | ( | const EditCallbacks & | callbacks | ) |
| inlineoverridevirtual

Implements IControlViewExtension.

bool setValue | ( | double | value | ) |
| inlineoverridevirtual

Implements IControlViewExtension.

The documentation for this struct was generated from the following file:

- iexternalview.h